diff --binary -Nru3 grx246p1/doc/fna.txt grx246/doc/fna.txt
--- grx246p1/doc/fna.txt	2002-06-15 11:13:04.000000000 +0000
+++ grx246/doc/fna.txt	2003-02-18 13:49:34.000000000 +0000
@@ -87,10 +87,6 @@
 Underline height in lines. The default is height / 15 rounded down, or 1 if
 the font height is < 15.
 
-ulpos <number>
-
-Underline position. The default is height - undwidth.
-
 note <string>
 
 Comment. May be empty. Any number of comments may be specified. The usual
diff --binary -Nru3 grx246p1/fonts/ter-114n.fna grx246/fonts/ter-114n.fna
--- grx246p1/fonts/ter-114n.fna	2002-06-10 22:30:26.000000000 +0000
+++ grx246/fonts/ter-114n.fna	2003-02-18 15:08:06.000000000 +0000
@@ -6,8 +6,6 @@
 minchar 0
 maxchar 255
 baseline 12
-undwidth 1
-undpos 13
 
 ; character 0 width = 8
 ........
diff --binary -Nru3 grx246p1/src/fonts/fdv_fna.c grx246/src/fonts/fdv_fna.c
--- grx246p1/src/fonts/fdv_fna.c	2002-06-10 22:19:22.000000000 +0000
+++ grx246/src/fonts/fdv_fna.c	2003-02-18 10:41:46.000000000 +0000
@@ -1,7 +1,7 @@
 /**
  ** fdv_fna.c -- driver for ascii font file format
  **
- ** Copyright (C) 2002 Dimitar Zhekov
+ ** Copyright (C) 2003 Dimitar Zhekov
  ** [e-mail: jimmy@is-vn.bg]
  **
  ** This file is part of the GRX graphics library.
@@ -125,7 +125,6 @@
 	    "maxchar",
 	    "baseline",
 	    "undwidth",
-	    "undpos",
 	    "avgwidth",
 	    "minwidth",
 	    "maxwidth",
@@ -158,12 +157,12 @@
 		DBGPRINTF(DBG_FONT, ("unknown attribute \"%s\"\n", fhdr.buffer));
 		goto done;
 	    }
-	    if(index == 10) index = 3;
+	    if(index == 9) index = 3;
 	    if(attrib & (1 << index)) {
 		DBGPRINTF(DBG_FONT, ("duplicate attribute \"%s\"\n", fhdr.buffer));
 		goto done;
 	    }
-	    if(index >= 2 && index <= 12) {
+	    if(index >= 2 && index <= 11) {
 		if(sscanf(s, "%d%n", &i, &n) != 1 || n != strlen(s)) {
 		    DBGPRINTF(DBG_FONT, ("invalid number \"%s\"\n", s));
 		    goto done;
@@ -186,20 +185,19 @@
 		case 6 : fhdr.maxchar = i; break;
 		case 7 : hdr->baseline = i; break;
 		case 8 : hdr->ulheight = i; break;
-		case 9 : hdr->ulpos = i; break;
-		case 11 :
+		case 10 :
 		    if(i == 0) {
 			DBGPRINTF(DBG_FONT, ("invalid width %d\n", i));
 		        goto done;
 		    }
 		    break;
-		case 12 :
+		case 11 :
 		    if(i > 127) {
 			DBGPRINTF(DBG_FONT, ("invalid width %d\n", i));
 		        goto done;
 		    }
 		    break;
-		case 13 : break;
+		case 12 : continue;
 		default :
 		    DBGPRINTF(DBG_FONT, ("unsupported attribute \"%s\"\n", fhdr.buffer));
 		    goto done;
@@ -220,7 +218,7 @@
 	hdr->preloaded = FALSE;
 	hdr->modified = GR_FONTCVT_NONE;
 	if((attrib & 0x0100) == 0) hdr->ulheight = imax(1, hdr->height / 15);
-	if((attrib & 0x0200) == 0) hdr->ulpos = hdr->height - hdr->ulheight;
+	hdr->ulpos = hdr->height - hdr->ulheight;
 	res = TRUE;
 done:	GRX_RETURN(res);
 }
diff --binary -Nru3 grx246p1/src/text/dumpfna.c grx246/src/text/dumpfna.c
--- grx246p1/src/text/dumpfna.c	2002-06-17 21:13:06.000000000 +0000
+++ grx246/src/text/dumpfna.c	2003-02-18 12:05:32.000000000 +0000
@@ -43,7 +43,6 @@
 	fprintf(fp, "maxchar %d\n", f->h.minchar + f->h.numchars - 1);
 	fprintf(fp, "baseline %d\n", f->h.baseline);
 	fprintf(fp, "undwidth %d\n", f->h.ulheight);
-	fprintf(fp, "undpos %d\n", f->h.ulpos);
 	/* write characters */
 	for(chr = f->h.minchar; chr < f->h.minchar + f->h.numchars; chr++) {
 	    width = GrFontCharWidth(f, chr);
